package jalview.io.gff;

/**
 * A factory class that returns a model of the Sequence Ontology. By default a
 * hard-coded subset is used (for the applet, or testing), or setInstance() can
 * be used to set full Ontology data.
 * 
 * @author gmcarstairs
 *
 */
public class SequenceOntologyFactory
{
  private static SequenceOntologyI instance;

  public static synchronized SequenceOntologyI getInstance()
  {
    if (instance == null)
    {
      instance = new SequenceOntologyLite();
    }
    return instance;
  }

  public static void setInstance(SequenceOntologyI so)
  {
    instance = so;
  }
}
